<?php

namespace LiamW\PostMacros\XF\Data;

class Editor extends XFCP_Editor
{
	public function getDefaultToolbarButtons($xs = false)
	{
		$defaultButtons = parent::getDefaultToolbarButtons($xs);

		$separatorPositions = array_keys($defaultButtons, '-vs');

		if (count($separatorPositions) < 4)
		{
			// Huh? Oh well...
			return $defaultButtons;
		}

		$forthSeparator = $separatorPositions[3];

		$buttonsStart = array_slice($defaultButtons, 0, $forthSeparator + 1);
		$buttonsEnd = array_slice($defaultButtons, $forthSeparator);

		return array_merge($buttonsStart, ['lwPostMacrosInsert'], $buttonsEnd);
	}

}