<?php

namespace LiamW\PostMacros\Pub\View\Macros;

use XF\Mvc\View;

class Get extends View
{
	public function renderJson()
	{
	    $content = $this->params['macro']->rendered_content;
        preg_match('/\{=\+(?P<username>.+)\}/', $content, $matches);
	    if(!empty($matches) && !\XF::visitor()->hasPermission('liamw_postmacros', 'another_account'))
        {
            $content = preg_replace("/\{=\+(.*?)\}/", '', $content);
        }
		return [
			'status' => 'ok',
			'macro' => [
				'html_content' => \XF::app()->bbCode()
					->render($content, 'editorHtml', 'macro', $this->params['macro']),
				'auto_submit' => $this->params['macro']->auto_submit,
				'_metadata' => $this->params['macro']->metadata,
                'redirection' => $this->params['macro']->redirection
			]
		];
	}
}